package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.system.model.SystemRoleAction;

import java.util.List;

/**
 * Created by chenweida on 2016/2/19.
 */
public interface ISystemRoleActionDao extends XSQLGeneralDAO {
    List<SystemRoleAction> getSystemRoleActionListByRoleId(String roleId) throws Exception;

    SystemRoleAction getRoleActionByRoleIdAndActionId(String roleId, String actionId) throws Exception;

    void deleteAllByRoleId(String roleId) throws Exception;
}
